<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Source code</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="source: package: org.apache.commons.cli, class: AlreadySelectedException">
<meta name="generator" content="javadoc/SourceToHTMLConverter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body class="source-page">
<main role="main">
<div class="source-container">
<pre><span class="source-line-no">001</span><span id="line-1">/*</span>
<span class="source-line-no">002</span><span id="line-2">  Licensed to the Apache Software Foundation (ASF) under one or more</span>
<span class="source-line-no">003</span><span id="line-3">  contributor license agreements.  See the NOTICE file distributed with</span>
<span class="source-line-no">004</span><span id="line-4">  this work for additional information regarding copyright ownership.</span>
<span class="source-line-no">005</span><span id="line-5">  The ASF licenses this file to You under the Apache License, Version 2.0</span>
<span class="source-line-no">006</span><span id="line-6">  (the "License"); you may not use this file except in compliance with</span>
<span class="source-line-no">007</span><span id="line-7">  the License.  You may obtain a copy of the License at</span>
<span class="source-line-no">008</span><span id="line-8"></span>
<span class="source-line-no">009</span><span id="line-9">      http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="source-line-no">010</span><span id="line-10"></span>
<span class="source-line-no">011</span><span id="line-11">  Unless required by applicable law or agreed to in writing, software</span>
<span class="source-line-no">012</span><span id="line-12">  distributed under the License is distributed on an "AS IS" BASIS,</span>
<span class="source-line-no">013</span><span id="line-13">  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="source-line-no">014</span><span id="line-14">  See the License for the specific language governing permissions and</span>
<span class="source-line-no">015</span><span id="line-15">  limitations under the License.</span>
<span class="source-line-no">016</span><span id="line-16"> */</span>
<span class="source-line-no">017</span><span id="line-17"></span>
<span class="source-line-no">018</span><span id="line-18">package org.apache.commons.cli;</span>
<span class="source-line-no">019</span><span id="line-19"></span>
<span class="source-line-no">020</span><span id="line-20">/**</span>
<span class="source-line-no">021</span><span id="line-21"> * Thrown when more than one option in an option group has been provided.</span>
<span class="source-line-no">022</span><span id="line-22"> */</span>
<span class="source-line-no">023</span><span id="line-23">public class AlreadySelectedException extends ParseException {</span>
<span class="source-line-no">024</span><span id="line-24"></span>
<span class="source-line-no">025</span><span id="line-25">    /**</span>
<span class="source-line-no">026</span><span id="line-26">     * This exception {@code serialVersionUID}.</span>
<span class="source-line-no">027</span><span id="line-27">     */</span>
<span class="source-line-no">028</span><span id="line-28">    private static final long serialVersionUID = 3674381532418544760L;</span>
<span class="source-line-no">029</span><span id="line-29"></span>
<span class="source-line-no">030</span><span id="line-30">    /** The option group selected. */</span>
<span class="source-line-no">031</span><span id="line-31">    private final OptionGroup group;</span>
<span class="source-line-no">032</span><span id="line-32"></span>
<span class="source-line-no">033</span><span id="line-33">    /** The option that triggered the exception. */</span>
<span class="source-line-no">034</span><span id="line-34">    private final Option option;</span>
<span class="source-line-no">035</span><span id="line-35"></span>
<span class="source-line-no">036</span><span id="line-36">    /**</span>
<span class="source-line-no">037</span><span id="line-37">     * Constructs a new {@code AlreadySelectedException} for the specified option group.</span>
<span class="source-line-no">038</span><span id="line-38">     *</span>
<span class="source-line-no">039</span><span id="line-39">     * @param group the option group already selected</span>
<span class="source-line-no">040</span><span id="line-40">     * @param option the option that triggered the exception</span>
<span class="source-line-no">041</span><span id="line-41">     * @since 1.2</span>
<span class="source-line-no">042</span><span id="line-42">     */</span>
<span class="source-line-no">043</span><span id="line-43">    public AlreadySelectedException(final OptionGroup group, final Option option) {</span>
<span class="source-line-no">044</span><span id="line-44">        this("The option '" + option.getKey() + "' was specified but an option from this group " + "has already been selected: '" + group.getSelected() + "'",</span>
<span class="source-line-no">045</span><span id="line-45">            group, option);</span>
<span class="source-line-no">046</span><span id="line-46">    }</span>
<span class="source-line-no">047</span><span id="line-47"></span>
<span class="source-line-no">048</span><span id="line-48">    /**</span>
<span class="source-line-no">049</span><span id="line-49">     * Constructs a new {@code AlreadySelectedException} with the specified detail message.</span>
<span class="source-line-no">050</span><span id="line-50">     *</span>
<span class="source-line-no">051</span><span id="line-51">     * @param message the detail message</span>
<span class="source-line-no">052</span><span id="line-52">     */</span>
<span class="source-line-no">053</span><span id="line-53">    public AlreadySelectedException(final String message) {</span>
<span class="source-line-no">054</span><span id="line-54">        this(message, null, null);</span>
<span class="source-line-no">055</span><span id="line-55">    }</span>
<span class="source-line-no">056</span><span id="line-56"></span>
<span class="source-line-no">057</span><span id="line-57">    private AlreadySelectedException(final String message, final OptionGroup group, final Option option) {</span>
<span class="source-line-no">058</span><span id="line-58">        super(message);</span>
<span class="source-line-no">059</span><span id="line-59">        this.group = group;</span>
<span class="source-line-no">060</span><span id="line-60">        this.option = option;</span>
<span class="source-line-no">061</span><span id="line-61">    }</span>
<span class="source-line-no">062</span><span id="line-62"></span>
<span class="source-line-no">063</span><span id="line-63">    /**</span>
<span class="source-line-no">064</span><span id="line-64">     * Gets the option that was added to the group and triggered the exception.</span>
<span class="source-line-no">065</span><span id="line-65">     *</span>
<span class="source-line-no">066</span><span id="line-66">     * @return the related option</span>
<span class="source-line-no">067</span><span id="line-67">     * @since 1.2</span>
<span class="source-line-no">068</span><span id="line-68">     */</span>
<span class="source-line-no">069</span><span id="line-69">    public Option getOption() {</span>
<span class="source-line-no">070</span><span id="line-70">        return option;</span>
<span class="source-line-no">071</span><span id="line-71">    }</span>
<span class="source-line-no">072</span><span id="line-72"></span>
<span class="source-line-no">073</span><span id="line-73">    /**</span>
<span class="source-line-no">074</span><span id="line-74">     * Gets the option group where another option has been selected.</span>
<span class="source-line-no">075</span><span id="line-75">     *</span>
<span class="source-line-no">076</span><span id="line-76">     * @return the related option group</span>
<span class="source-line-no">077</span><span id="line-77">     * @since 1.2</span>
<span class="source-line-no">078</span><span id="line-78">     */</span>
<span class="source-line-no">079</span><span id="line-79">    public OptionGroup getOptionGroup() {</span>
<span class="source-line-no">080</span><span id="line-80">        return group;</span>
<span class="source-line-no">081</span><span id="line-81">    }</span>
<span class="source-line-no">082</span><span id="line-82">}</span>




























































</pre>
</div>
</main>
</body>
</html>
